Bug 5348 - [UPDATE REQUEST] broadcom-wl-6.30.223.248-2
: [UPDATE REQUEST] broadcom-wl-6.30.223.248-2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-06 16:34 MSD by Eugene Shatokhin
Modified: 2015-04-13 23:21 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-04-06 16:34:01 MSD
Added support for kernels 3.18.x, added bug fixes.
Comment 1 Eugene Shatokhin 2015-04-06 16:36:56 MSD
Advisory:
broadcom-wl was rebuilt with additional patches added. Important changes:
* support for kernel versions up to 3.18 inclusive;
* fix crashes when the user tries to access the driver via procfs.

Build lists:
i586:
https://abf.io/build_lists/2474192
x86_64:
https://abf.io/build_lists/2474193
Comment 2 FirstLevel 2015-04-08 21:13:21 MSD
03:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11bgn Wireless Network Adapter [14e4:4727] (rev 01)


update goes well for 32 and 64 bit
connect to my router - ok
Comment 3 Eugene Shatokhin 2015-04-09 12:03:42 MSD
(In reply to comment #2)
> update goes well for 32 and 64 bit
> connect to my router - ok

Thanks! 

Could you also try it with kernel 3.18.x? You can get these kernels here:
http://abf-downloads.rosalinux.ru/kernels_3_18x_personal/repository/rosa2014.1/{x86_64|i586}/main/release/, kernel-nrj-desktop and kernel-nrj-desktop-devel packages are needed.

I am asking because we are now more and more often suggesting the users to try kernel 3.18.x to diagnoze hardware issues and so on. The current broadcom-wl in our repositories does not build for 3.18, which is inconvenient for these users.
Comment 4 Vladimir Potapov 2015-04-09 12:27:15 MSD
The update is sent to expanded testing
***************************************
Comment 5 FirstLevel 2015-04-09 22:26:27 MSD
(In reply to comment #3)
> (In reply to comment #2)
> > update goes well for 32 and 64 bit
> > connect to my router - ok
> 
> Thanks! 
> 
> Could you also try it with kernel 3.18.x? You can get these kernels here:
> http://abf-downloads.rosalinux.ru/kernels_3_18x_personal/repository/rosa2014.
> 1/{x86_64|i586}/main/release/, kernel-nrj-desktop and
> kernel-nrj-desktop-devel packages are needed.
> 
> I am asking because we are now more and more often suggesting the users to
> try kernel 3.18.x to diagnoze hardware issues and so on. The current
> broadcom-wl in our repositories does not build for 3.18, which is
> inconvenient for these users.

I have no any issues on 3.18.10 kernel in 64bit system
Comment 6 FirstLevel 2015-04-09 22:45:52 MSD
(In reply to comment #3)
> (In reply to comment #2)
> > update goes well for 32 and 64 bit
> > connect to my router - ok
> 
> Thanks! 
> 
> Could you also try it with kernel 3.18.x? You can get these kernels here:
> http://abf-downloads.rosalinux.ru/kernels_3_18x_personal/repository/rosa2014.
> 1/{x86_64|i586}/main/release/, kernel-nrj-desktop and
> kernel-nrj-desktop-devel packages are needed.
> 
> I am asking because we are now more and more often suggesting the users to
> try kernel 3.18.x to diagnoze hardware issues and so on. The current
> broadcom-wl in our repositories does not build for 3.18, which is
> inconvenient for these users.

I have no any issues on 3.18.10 kernel in 32bit system
Comment 7 Eugene Shatokhin 2015-04-10 11:20:59 MSD
(In reply to comment #6)
> I have no any issues on 3.18.10 kernel in 32bit system

Great! Thanks for testing this too.
Comment 8 Vladimir Potapov 2015-04-13 18:12:08 MSD
broadcom-wl-6.30.223.248-2
https://abf.io/build_lists/2474192
https://abf.io/build_lists/2474193
******************************* Advisory ***************************
broadcom-wl was rebuilt with additional patches added. Important changes:
* support for kernel versions up to 3.18 inclusive;
* fix crashes when the user tries to access the driver via procfs.
*********************************************************************
QA Verified
Comment 9 Andrey Ponomarenko 2015-04-13 23:21:25 MSD
Kernel 3.18.10 + Broadcom WiFi cards:

BCM4318 (AMBIT):   http://hw.rosalinux.ru/index.php?probe=6774d67200 OK
BCM4313 (Wistron): http://hw.rosalinux.ru/index.php?probe=44db5a2227 OK
BCM4322 (Dell):    http://hw.rosalinux.ru/index.php?probe=9062144d93 OK
BCM4312 (Dell):    http://hw.rosalinux.ru/index.php?probe=cc19cc7585 NOT_OK
BCM4313 (HP):      http://hw.rosalinux.ru/index.php?probe=789aaa032c OK
BCM4311 (HP):      http://hw.rosalinux.ru/index.php?probe=c91c48ad8b OK
BCM4321 (Dell):    http://hw.rosalinux.ru/index.php?probe=7523bca76f OK
BCM4306 (HP):      http://hw.rosalinux.ru/index.php?probe=78bcbe5b10 OK

Kernel 3.14.33 + Broadcom WiFi cards:

BCM4321 (Dell): http://hw.rosalinux.ru/index.php?probe=c3d5f4a578 OK
BCM4306 (HP):   http://hw.rosalinux.ru/index.php?probe=f06f660cc0 OK

The card BCM4312 (Dell DW1397) still doesn't work as on previous version of the wl driver.

Extended testing report: OK